Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057408 - Images pointing to common content are having filerefs edited
Summary: Images pointing to common content are having filerefs edited
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.4
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1056850
TreeView+ depends on / blocked
 
Reported: 2014-01-24 02:54 UTC by Matthew Casperson
Modified: 2014-08-04 22:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-23 23:43:57 UTC


Attachments (Terms of Use)

Description Matthew Casperson 2014-01-24 02:54:06 UTC
This should be valid xml

<authorgroup>
	<corpauthor>
		<inlinemediaobject>
			<imageobject>
				<imagedata fileref="Common_Content/images/title_logo.svg" format="SVG"/>
			</imageobject>
			<textobject>
				<phrase>Logo</phrase>
			</textobject>
		</inlinemediaobject>
	</corpauthor>
</authorgroup>

but the fileref is getting changed to /images/Common_Content/images/title_logo.svg. The appending of the images path should only be done on images downloaded from the server.

Comment 1 Lee Newson 2014-01-24 03:04:14 UTC
I've added a check to the builder so that it'll only process images that match the following regex:

^(images/)?\d+(-\d+)?\.\w+$

Comment 3 Matthew Casperson 2014-02-11 23:53:07 UTC
Confirmed.


Note You need to log in before you can comment on or make changes to this bug.